Subject: Re: [RFC PATCH 1/6] leak fix: cache_put_path

From: Junio C Hamano <[email-masked]>
Date: Tue, 14 Feb 2023 13:59:11 -0800

Calvin Wan <[email-masked]> writes:

> If you look at t4027-diff-submodule.sh:git diff HEAD with dirty submodule
> (work tree, refs match) [.gitmodules], it's two different submodules
> pointing to the same path (or more precisely a second submodule is
> manually added to .gitmodules with a path to the first submodule). This
> is a setup that is not expected to happen commonly in real life so
> updating this test makes sense to me.

Thanks for double checking.  If it is a configuration that is an
error, then we would want to notice it eventually (probably outside
the scope of this series), and before that happens, I agree that
modifying the test to avoid such an errnoneous scenario would be a
very good idea---otherwise we'd be pretending that such a scenario
is a supported configuration somehow and misleading developers and
users.

Thanks.